# Copyright (c) 2010-2011 Outpost Embedded, LLC
# This file is part of the pydbusclone software package.
#
# pydbusclone is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License version 2 as published by the
# Free Software Foundation.
#
# A copy of the license has been included in the COPYING file.

import glib


def call_in_main_thread(fn, *args, **kwargs):
    # Note: Must return False to prevent repeated calls.
    glib.idle_add(lambda: fn(*args, **kwargs) and False)
